import { VmMap } from "../../../_components";
import Right from "../Right";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
export default (function (props) {
  var _detail$location, _detail$location2, _detail$location3, _detail$location4;
  var detail = props.detail;
  var base = [{
    name: '案件来源',
    key: 'caseFromStr'
  }, {
    name: '受案机关',
    key: 'acceptDepartment'
  }, {
    name: '受案时间',
    key: 'acceptTime'
  }, {
    name: '案发时间',
    key: 'accidentTime'
  }, {
    name: '登记时间',
    key: 'registrationTime'
  }, {
    name: '登记人',
    key: 'undertakeUserName'
  }, {
    name: '案情概述',
    key: 'caseDescription',
    weights: 2
  }, {
    name: '案发地点',
    key: 'accidentAddress',
    weights: 2
  }];
  var dsrUnit = [{
    name: '当事人类型',
    key: 'casePartyTypeName'
  }, {
    name: '单位名称',
    key: 'partyName'
  }, {
    name: '法定代表人',
    key: 'corporate'
  }, {
    name: '统一社会信用代码',
    key: 'socialCode'
  }, {
    name: '联系电话',
    key: 'phone'
  }, {
    name: '身份证号',
    key: 'identityCode'
  }, {
    name: '住所地址',
    key: 'liveAddress',
    weights: 2
  }];
  var dsrPerson = [{
    name: '当事人类型',
    key: 'casePartyTypeName'
  }, {
    name: '姓名',
    key: 'partyName'
  }, {
    name: '联系电话',
    key: 'phone'
  }, {
    name: '身份证号',
    key: 'identityCode'
  }, {
    name: '住所地址',
    key: 'liveAddress',
    weights: 2
  }, {
    name: '工作单位及职务',
    key: 'job',
    weights: 2
  }];
  var cbxx = [{
    name: '承办单位',
    key: 'undertakeOrgName'
  }, {
    name: '主办人',
    key: 'undertakeUserName'
  }, {
    name: '协办人',
    key: 'assistUserName'
  }];
  var laxx = [{
    name: '案件流程',
    key: 'caseTypeName'
  }, {
    name: '案件编号',
    key: 'caseCode'
  }, {
    name: '卷宗编号',
    key: 'fileCode'
  }, {
    name: '立案时间',
    key: 'lianTime'
  }, {
    name: '案件案由',
    key: 'caseCauseManageName',
    weights: 2
  }, {
    name: '违反条款',
    key: 'breakContent',
    weights: 2
  }, {
    name: '处罚条款',
    key: 'punishContent',
    weights: 2
  }];
  return /*#__PURE__*/_jsxs("div", {
    className: "zf-base-content",
    children: [/*#__PURE__*/_jsxs("div", {
      className: "zf-base-left",
      children: [/*#__PURE__*/_jsxs("div", {
        className: "zf-left-top",
        children: [/*#__PURE__*/_jsxs("div", {
          className: "zf-base-title",
          children: ["\u6848\u4EF6\u4FE1\u606F", detail.caseTypeName && /*#__PURE__*/_jsx("span", {
            className: "zf-base-subTitle",
            children: "\u3010".concat(detail.caseTypeName, "-").concat(detail.currentTask, "\u3011")
          })]
        }), /*#__PURE__*/_jsxs("div", {
          className: "zf-base-info",
          children: [/*#__PURE__*/_jsx("div", {
            className: "zf-base-list",
            children: base.map(function (item) {
              return /*#__PURE__*/_jsxs("div", {
                className: "zf-base-item",
                style: {
                  width: item.weights === 2 ? '100%' : '45%'
                },
                children: [/*#__PURE__*/_jsxs("span", {
                  className: "zf-base-label",
                  children: [item.name, "\uFF1A"]
                }), /*#__PURE__*/_jsx("span", {
                  children: detail[item.key] || '--'
                })]
              }, item.key);
            })
          }), ((_detail$location = detail.location) === null || _detail$location === void 0 ? void 0 : _detail$location.lngLats) && /*#__PURE__*/_jsx("div", {
            className: "zf-base-map",
            children: /*#__PURE__*/_jsx(VmMap, {
              mapCenter: (_detail$location2 = detail.location) === null || _detail$location2 === void 0 ? void 0 : _detail$location2.lngLats.split(','),
              mapPoints: [{
                lng: (_detail$location3 = detail.location) === null || _detail$location3 === void 0 ? void 0 : _detail$location3.lngLats.split(',')[0],
                lat: (_detail$location4 = detail.location) === null || _detail$location4 === void 0 ? void 0 : _detail$location4.lngLats.split(',')[1],
                icon: 'GD'
              }]
            })
          })]
        })]
      }), /*#__PURE__*/_jsxs("div", {
        className: "zf-left-bottom",
        children: [/*#__PURE__*/_jsx("div", {
          className: "zf-base-title",
          children: "\u5F53\u4E8B\u4EBA\u4FE1\u606F"
        }), /*#__PURE__*/_jsx("div", {
          className: "zf-base-info",
          style: {
            height: 'auto'
          },
          children: /*#__PURE__*/_jsx("div", {
            className: "zf-base-list",
            children: (detail.casePartyType == 'unit' ? dsrUnit : dsrPerson).map(function (item) {
              return /*#__PURE__*/_jsxs("div", {
                className: "zf-base-item",
                style: {
                  width: item.weights === 2 ? '100%' : '45%'
                },
                children: [/*#__PURE__*/_jsxs("span", {
                  className: "zf-base-label",
                  children: [item.name, "\uFF1A"]
                }), /*#__PURE__*/_jsx("span", {
                  children: detail[item.key] || '--'
                })]
              }, item.key);
            })
          })
        })]
      }), /*#__PURE__*/_jsxs("div", {
        className: "zf-left-bottom",
        children: [/*#__PURE__*/_jsx("div", {
          className: "zf-base-title",
          children: "\u627F\u529E\u4FE1\u606F"
        }), /*#__PURE__*/_jsx("div", {
          className: "zf-base-info",
          style: {
            height: 'auto'
          },
          children: /*#__PURE__*/_jsx("div", {
            className: "zf-base-list",
            children: cbxx.map(function (item) {
              return /*#__PURE__*/_jsxs("div", {
                className: "zf-base-item",
                style: {
                  width: item.weights === 2 ? '100%' : '45%'
                },
                children: [/*#__PURE__*/_jsxs("span", {
                  className: "zf-base-label",
                  children: [item.name, "\uFF1A"]
                }), /*#__PURE__*/_jsx("span", {
                  children: detail[item.key] || '--'
                })]
              }, item.key);
            })
          })
        })]
      }), /*#__PURE__*/_jsxs("div", {
        className: "zf-left-bottom",
        children: [/*#__PURE__*/_jsx("div", {
          className: "zf-base-title",
          children: "\u7ACB\u6848\u4FE1\u606F"
        }), /*#__PURE__*/_jsx("div", {
          className: "zf-base-info",
          style: {
            height: 'auto'
          },
          children: /*#__PURE__*/_jsx("div", {
            className: "zf-base-list",
            children: laxx.map(function (item) {
              return /*#__PURE__*/_jsxs("div", {
                className: "zf-base-item",
                style: {
                  width: item.weights === 2 ? '100%' : '45%'
                },
                children: [/*#__PURE__*/_jsxs("span", {
                  className: "zf-base-label",
                  children: [item.name, "\uFF1A"]
                }), /*#__PURE__*/_jsx("span", {
                  children: detail[item.key] || '--'
                })]
              }, item.key);
            })
          })
        })]
      })]
    }), /*#__PURE__*/_jsx(Right, {
      detail: detail
    })]
  });
});